Subject: Re: bug#51857: cross-filesystem copying broken on macOS with coreutils >= 9.0

From: Paul Eggert <[email-masked]>
Date: Mon, 15 Nov 2021 15:30:06 -0800

On 11/15/21 15:20, Pádraig Brady wrote:
> I also have access to a macOS system, so I'll also test out
> if there are ways to use SEEK_DATA there.

Could you try the latest savannah Git instead? I installed something 
into Gnulib that I hope lets coreutils use SEEK_DATA on macOS as before. 
The Gnulib workaround operates on macOS only, and requires an 
lseek+SEEK_HOLE and an lseek+SEEK_DATA where Linux, FreeBSD etc. need 
only lseek+SEEK_DATA, but that's good enough I would think to copy holes 
efficiently on macOS.

I plan to send another email about this shortly.